# Odoo Rest Client Library

Odoo Rest Client Library for Dart.

## Features

- Get the client id by odoo server infos

## Usage

To use this package, add odoo_rest_api as a dependency in your pubspec.yaml file. For example:

```yaml
dependencies:
  odoo_rpc: ^0.0.2
```

## Examples

Basic Json RPC call

```dart
import 'dart:io';
import 'package:odoo_rest_api/odoo_api.dart'

main() async {
  final client = OdooClient('https://my_odoo_instance.com');
  try {
    _odooClient.call('/jsonrpc', "common", "login", ['dbName', 'username', 'password']).then((OdooResponse loginResponse) {
        _clientId = loginResponse.getResult();
    });
    print('Client Id: \n' + _clientId);
  } on OdooException catch (e) {
    print(e);
  }
}
```

JSON-RPC-Calls with Odoo crendentials

## Issues


## Want to contribute


## Author

This Package for Flutter is developed by [Adonze](http://adonze.com).
