library odoo_rest_api;

import 'dart:async';

import 'package:odoo_rest_api/odoo_connector.dart';
import 'package:odoo_rest_api/odoo_models.dart';
import 'package:odoo_rest_api/odoo_utils.dart';

class OdooClient extends OdooConnector {
  OdooClient(String serverURL) : super(serverURL);

  Future<OdooResponse> json_rpc(path, params) {
    var payload = OdooUtils.createPayload(params);
    return callRequest(path, payload);
  }

  Future<OdooResponse> call(path, service, method, List args) {
    return json_rpc(path, {"service": service, "method": method, "args": args});
  }
}
