class Metadata {
  String url;
  String username;
  String password;
  String dbName;

  Metadata({this.url, this.username, this.password, this.dbName});
}


class OdooResponse {
  var _result, _statusCode;

  OdooResponse(Map result, int statusCode) {
    _result = result;
    _statusCode = statusCode;
  }

  bool hasError() {
    return _result['error'] != null;
  }

  Map getError() {
    return _result['error'];
  }

  String getErrorMessage() {
    if (hasError()) {
      return _result['error']['message'];
    }
    return null;
  }

  int getStatusCode() {
    return _statusCode;
  }

  dynamic getResult() {
    return _result['result'];
  }
}


class OdooRequest {
  String _path, _service, _method;
  String _dbName, _password, _model, _callMethod;
  List _args;

  OdooRequest(String path, String service, String method, List args) {
    _path = path;
    _service = service;
    _method = method;
    _args = args;
  }
}
